SystemOrganization addCategory: #'GMF-Facade'!

Object subclass: #Facade
	instanceVariableNames: ''
	classVariableNames: 'UMLElements dataModel'
	poolDictionaries: ''
	category: 'GMF-Facade'!

!Facade class methodsFor: 'accessing' stamp: 'RostislavNovak 11/28/2013 20:32'!
addClass: xDataClass
	self checkNill.
	dataModel add: xDataClass! !

!Facade class methodsFor: 'private' stamp: 'RostislavNovak 11/28/2013 20:31'!
checkNill
	dataModel ifNil: [ dataModel := DataModel new ].! !

!Facade class methodsFor: 'accessing' stamp: 'RostislavNovak 11/25/2013 21:10'!
clearData
	dataModel := DataModel new.! !

!Facade class methodsFor: 'accessing' stamp: 'volosmat 12/4/2013 12:50'!
clearPackage: packageName
	| package |
	package := PackageInfo named: packageName.
	package definedClasses
		do: [:classToRemove | classToRemove removeFromSystem]! !

!Facade class methodsFor: 'accessing' stamp: 'RostislavNovak 11/28/2013 20:32'!
generate
	| data |
	self checkNill.
	UMLElements := TransformToUML dataToTransform: dataModel asMetaModel modelElements.
	UMLElements transformAll.
	data := DataForGenerator UMLModel: UMLElements transformedElements.
	UMLElements dataForGenerator: data dataForGenerator.
	CodeGenerator setDataWithAll: UMLElements dataForGenerator.
	^ true! !

!Facade class methodsFor: 'accessing' stamp: 'RostislavNovak 11/28/2013 20:32'!
getClass: xName
	self checkNill.
	^ dataModel elements detect:  [ :e | xName == e metaModelClass name ]! !

!Facade class methodsFor: 'accessing' stamp: 'RostislavNovak 11/28/2013 20:32'!
getClasses
	self checkNill.
	^ dataModel elements! !

!Facade class methodsFor: 'accessing' stamp: 'RostislavNovak 11/28/2013 20:32'!
getDiagram
	self checkNill.
	^dataModel! !

!Facade class methodsFor: 'accessing' stamp: 'RostislavNovak 11/25/2013 21:26'!
loadDiagram! !

!Facade class methodsFor: 'accessing' stamp: 'RostislavNovak 11/27/2013 22:47'!
removeClass: xDataClass
	dataModel remove: xDataClass! !

!Facade class methodsFor: 'accessing' stamp: 'RostislavNovak 11/25/2013 21:26'!
saveDiagram! !
